Imports C1.Win.C1Ribbon
Imports GrapeCity.Win.MultiTouch
Imports System.Collections.Generic
Imports System.Drawing
Imports System.Text

Public Class C1RibbonZoomPolicy
	Inherits NoZoomFontZoomPolicy
	Public Overrides ReadOnly Property TargetType() As Type
		Get
			Return GetType(C1Ribbon)
		End Get
	End Property

	Public Overrides Function CanZoom(control As System.Windows.Forms.Control) As Boolean
		Return False
	End Function

	Public Overrides Function CanZoomChildren(control As System.Windows.Forms.Control) As Boolean
		Return False
	End Function
End Class


Public Class C1StatusBarZoomPolicy
	Inherits NoZoomFontZoomPolicy
	Public Overrides ReadOnly Property TargetType() As Type
		Get
			Return GetType(C1StatusBar)
		End Get
	End Property

	Public Overrides Function CanZoom(control As System.Windows.Forms.Control) As Boolean
		Return False
	End Function

	Public Overrides Function CanZoomChildren(control As System.Windows.Forms.Control) As Boolean
		Return False
	End Function
End Class
